Trying to debug the systemd service failure by running Ubuntu
autopkgtest in https://autopkgtest.ubuntu.com/results/autopkgtest-
resolute-mysql-ubuntu-
mariadb/resolute/amd64/m/mariadb/20260310_055622_bcc2c@/log.gz on the
custom version from https://salsa.debian.org/mariadb-team/mariadb-
server/-/merge_requests/157 built at https://launchpad.net/~mysql-
ubuntu/+archive/ubuntu/mariadb/+builds?build_text=&build_state=all only
says service failed due to "timeout":

2644s + echo Found systemctl, continuing smoke test..
2644s + systemctl restart mariadb
2644s Running test 'smoke'
2644s /usr/bin/systemctl
2644s Found systemctl, continuing smoke test..
3545s Job for mariadb.service failed because a timeout was exceeded.
3545s See "systemctl status mariadb.service" and "journalctl -xeu 
mariadb.service" for details.
3545s + systemctl status mariadb.service
3545s ● mariadb.service - MariaDB 11.8.6 database server
3545s      Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; 
preset: enabled)
3545s      Active: activating (auto-restart) (Result: timeout) since Tue 
2026-03-10 05:31:05 UTC; 5ms ago
3545s  Invocation: 2395855cdc4242e7b8ecf72d7ac1c44f
3545s        Docs: man:mariadbd(8)
3545s              https://mariadb.com/kb/en/library/systemd/
3545s     Process: 2202 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery 
] && VAR= ||   VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ]   && echo 
_WSREP_START_POSITION=$VAR > /run/mysqld/wsrep-start-position || exit 1 
(code=exited, status=0/SUCCESS)
3545s     Process: 2258 ExecStart=/usr/sbin/mariadbd $MYSQLD_OPTS 
$_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=0/SUCCESS)
3545s    Main PID: 2258 (code=exited, status=0/SUCCESS)
3545s    Mem peak: 93.1M
3545s         CPU: 670ms
3545s autopkgtest [05:31:06]: test smoke: -----------------------]
3545s smoke                FAIL non-zero exit status 3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2143708

Title:
  mariadb 1:11.8.6-2 autopkgtest failures with multiple packages

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mariadb/+bug/2143708/+subscriptions


-- 
ubuntu-bugs mailing list
[email protected]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to